Index: U-Boot/cpu/arm920t/at91rm9200/lowlevel_init.S
===================================================================
--- U-Boot.orig/cpu/arm920t/at91rm9200/lowlevel_init.S	2005-04-06 15:52:34.000000000 +0200
+++ U-Boot/cpu/arm920t/at91rm9200/lowlevel_init.S	2005-05-03 11:42:44.045529392 +0200
@@ -123,6 +123,11 @@
 	cmp	r2, r0
 	bne	2b
 
+	/* switch from FastBus to Asynchronous Clocking Mode */
+	mrc	p15, 0, r0, c1, c0, 0
+	orr	r0, r0, #0xC0000000	@ set bit 31 (iA) and 30 (nF)
+	mcr	p15, 0, r0, c1, c0, 0
+
 	/* everything is fine now */
 	mov	pc, lr
 
